## org.hibernate.mapping
Class TypeDef

    java.lang.Object
      org.hibernate.mapping.TypeDef

All Implemented Interfaces:
  Serializable

    public class TypeDef

extends Object
implements Serializable

Placeholder for typedef information

See Also:
  Serialized Form

Constructor Summary
`TypeDef(String typeClass, Properties parameters)`

Method Summary
`Properties` `getParameters()`
`String` `getTypeClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeDef

    public TypeDef(String typeClass,
                   Properties parameters)

Method Detail

### getParameters

    public Properties getParameters()

### getTypeClass

    public String getTypeClass()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.